Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 221311 (flex-depends) - sys-devel/flex should not be in the system set
Summary: sys-devel/flex should not be in the system set
Status: RESOLVED FIXED
Alias: flex-depends
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: Tracker
: 376363 (view as bug list)
Depends on: 221315 221317 221319 221321 221323 221325 221327 221329 221331 221333 221335 221337 221339 221341 221343 221345 221347 221349 221351 221353 221357 221361 221363 221365 221369 221371 221373 221375 221377 221379 221381 221383 221385 221387 221389 221391 221393 221395 221397 221399 221401 221403 221405 221407 221409 221411 221413 221415 221417 221419 224477
Blocks:
  Show dependency tree
 
Reported: 2008-05-11 12:28 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-07-25 14:58 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
packages cleaned at end of stage3 (cleaned-packages.txt,1.45 KB, text/plain)
2011-07-15 05:43 UTC, Matt Turner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-05-11 12:28:01 UTC
flex is not a common package to use, although there are a few of the packages using it. As sometimes we need to know what does use flex (for version bumps, or to audit possible mistakes in its use, like clashing symbols), it would be quite better if instead of having it in system, the packages using it would depend on it properly.

http://tinderbox.dev.gentoo.org/misc/dindex/sys-devel/flex reports the packages depending on flex at build-time, here are more than that using it though as I recall when last flex vulnerability was found.
Out of a quick check, php is missing there.

As a side note, http://tinderbox.dev.gentoo.org/misc/rindex/sys-devel/flex lists packages depending on flex at runtime, which is probably a mistake as flex is used only at build time in 99% of its use cases.

If we can all check our build logs to see what at least _checked_ for flex and then look up if it's not in the list of packages already, we should be able to get this done quickly.
Comment 1 Chris Gianelloni (RETIRED) gentoo-dev 2008-07-14 22:57:23 UTC
Once this is done, it's probably best to simply update the profiles.
Comment 2 Matt Turner gentoo-dev 2011-07-12 18:05:54 UTC
All blocker bugs are now fixed. Can we proceed?
Comment 3 SpanKY gentoo-dev 2011-07-12 18:48:23 UTC
let's bug Jorge about the autotools change:
http://archives.gentoo.org/gentoo-dev/msg_bbac569b7c9344927457e64492daf89f.xml

we can throw flex/bison into the mix at the same time ! :)
Comment 4 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-07-13 01:57:04 UTC
I'll try to build new stages with this in the next few days.

Just to confirm, the idea is to remove from the system set the following packages, correct?

sys-devel/autoconf
sys-devel/automake
sys-devel/bison
sys-devel/flex
sys-devel/libtool

Are there any other packages that we should drop as well?
Comment 5 SpanKY gentoo-dev 2011-07-13 20:26:07 UTC
those as well as sys-devel/m4
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-07-14 01:32:18 UTC
I'm going to use the following to build the stages:

Index: base/packages
===================================================================
RCS file: /var/cvsroot/gentoo-x86/profiles/base/packages,v
retrieving revision 1.50
diff -u -b -B -r1.50 packages
--- base/packages       28 May 2011 19:00:21 -0000      1.50
+++ base/packages       14 Jul 2011 01:26:09 -0000
@@ -54,15 +54,15 @@
 *>=sys-apps/shadow-4.1
 *sys-apps/texinfo
 *sys-apps/which
-*sys-devel/autoconf
-*sys-devel/automake
+#*sys-devel/autoconf
+#*sys-devel/automake
 *sys-devel/binutils
-*sys-devel/bison
-*sys-devel/flex
+#*sys-devel/bison
+#*sys-devel/flex
 *sys-devel/gcc
 *sys-devel/gnuconfig
-*sys-devel/libtool
-*sys-devel/m4
+#*sys-devel/libtool
+#*sys-devel/m4
 *sys-devel/make
 *sys-devel/patch
 *sys-fs/e2fsprogs
Comment 7 Matt Turner gentoo-dev 2011-07-15 05:43:48 UTC
Created attachment 280097 [details]
packages cleaned at end of stage3

I just completed a mips64 stage 1, 2, 3 with these packages removed from packages.build. Attached is the output at the end of stage3 showing which packages were removed.

Looks like it worked, and the stage builds were successful.

I feel a bit funny about removing automake/autoconf/libtool since undoubtedly, these will have to be remerged to install almost anything.
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-07-16 18:12:52 UTC
I successfully built amd64 and x86 stages with the proposed change. Thus, I've just committed the change to the tree.
I believe we can now close this bug as fixed.
Comment 9 SpanKY gentoo-dev 2011-07-18 18:25:25 UTC
YTMND
Comment 10 Samuli Suominen gentoo-dev 2011-07-25 14:58:24 UTC
*** Bug 376363 has been marked as a duplicate of this bug. ***